---
swagger: "2.0"
info:
  title: Autonomy
  description: API for interacting with Mercury backend system. Backend API handles
    content management
  version: 1.0.0
host: localhost:8080
basePath: /
consumes:
- application/json
produces:
- application/json
paths:
  /api/login:
    post:
      summary: Attempt to authenticate a new session.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - email
          - password
          properties:
            email:
              type: string
            password:
              type: string
  /api/logout:
    post:
      summary: Destroy an authenticated session.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/forgot-password:
    post:
      summary: Send a reset link to the given user.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/reset-password:
    post:
      summary: Reset the user's password.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/profile-information:
    put:
      summary: Update the user's profile information.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/password:
    put:
      summary: Update the user's password.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/confirmed-password-status:
    get:
      summary: Get the password confirmation status.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/confirm-password:
    post:
      summary: Confirm the user's password.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/two-factor-challenge:
    post:
      summary: Attempt to authenticate a new session using the two factor authentication
        code.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            code:
              type: string
            recovery_code:
              type: string
  /api/user/two-factor-authentication:
    post:
      summary: Enable two factor authentication for the user.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    delete:
      summary: Disable two factor authentication for the user.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/confirmed-two-factor-authentication:
    post:
      summary: Enable two factor authentication for the user.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/two-factor-qr-code:
    get:
      summary: Get the SVG element for the user's two factor authentication QR code.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/two-factor-secret-key:
    get:
      summary: Get the current user's two factor authentication setup / secret key.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/two-factor-recovery-codes:
    get:
      summary: Get the two factor authentication recovery codes for authenticated
        user.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Generate a fresh set of two factor authentication recovery codes.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/user:
    get:
      summary: Show details of current active user on system.
      description: User determined on current session.
      deprecated: false
      responses:
        200:
          description: OK
  /api/user/profile-photo:
    post:
      summary: Update profile photo for current user session.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - photo
          properties:
            photo:
              type: string
  /api/user/set-site:
    post:
      summary: Set currently accessed site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/sites/roles:
    get:
      summary: List available user roles on site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/sites/{site}/trigger-action:
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: site
        type: string
        required: true
        description: ""
  /api/sites/{site}/billing:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: site
        type: string
        required: true
        description: ""
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: site
        type: string
        required: true
        description: ""
  /api/sites/{site}/invite:
    post:
      summary: Invite user to site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: site
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - email
          - role
          properties:
            email:
              type: string
            role:
              type: string
  /api/sites/{site}/remove-user:
    post:
      summary: Remove user from site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: site
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - userId
          properties:
            userId:
              type: string
  /api/sites/{site}/update-user:
    post:
      summary: Update users role on site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: site
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - userId
          - role
          properties:
            userId:
              type: string
            role:
              type: string
  /api/sites/{site}/suspend:
    post:
      summary: Suspend/Deactivate  site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: site
        type: string
        required: true
        description: ""
  /api/sites/{site}/unsuspend:
    post:
      summary: Unsuspend / reactivate site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: site
        type: string
        required: true
        description: ""
  /api/sites:
    get:
      summary: Display a list of sites in system.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a newly created resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - tier
          properties:
            name:
              type: string
            tier:
              type: string
              enum:
              - '"lite"'
              - '"standard"'
              - '"pro"'
              - '"enterprise"'
  /api/all-users/{user}/require-password-change:
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: user
        type: string
        required: true
        description: ""
  /api/all-users/{user}/reset-password:
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: user
        type: string
        required: true
        description: ""
  /api/all-users/{user}/reset-2fa:
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: user
        type: string
        required: true
        description: ""
  /api/all-users:
    get:
      summary: Display a list of sites in system.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/all-users/{all_user}:
    get:
      summary: Store a newly created resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: all_user
        type: string
        required: true
        description: ""
    delete:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: all_user
        type: string
        required: true
        description: ""
  /api/taxonomies:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/taxonomies/unmapped:
    get:
      summary: List unmapped taxonomies from 3rd parties
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/taxonomies/from-unmapped:
    post:
      summary: Create a new taxonomy from unmapped taxonomy
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/taxonomies/{type}/{id}:
    get:
      summary: View taxonomy entry of specific type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: type
        type: string
        required: true
        description: ""
      - in: path
        name: id
        type: string
        required: true
        description: ""
    put:
      summary: Update taxonomy
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: type
        type: string
        required: true
        description: ""
      - in: path
        name: id
        type: string
        required: true
        description: ""
  /api/taxonomies/{type}:
    get:
      summary: View taxonomies of a type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: type
        type: string
        required: true
        description: ""
    post:
      summary: Store a new taxonomy
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: type
        type: string
        required: true
        description: ""
  /api/taxonomies/{map}:
    put:
      summary: Update taxonomy map with taxonomy id (map unmapped taxonomy)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: map
        type: string
        required: true
        description: ""
  /api/invoices:
    get:
      summary: List invoices on system for all tenants
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/invoices/{invoice}:
    get:
      summary: Show details of an invoice
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: invoice
        type: string
        required: true
        description: ""
  /api/billables:
    get:
      summary: Get all billables grouped by type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/assets/global:
    post:
      summary: Store a new asset file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - file
          - visibility
          properties:
            file_name:
              type: string
            file:
              type: string
            visibility:
              type: string
              enum:
              - '"public"'
              - '"private"'
            overwrite:
              type: string
  /api/content/pages/{page}/restore-version/{version}:
    post:
      summary: Restore page from trash
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: path
        name: version
        type: string
        required: true
        description: ""
  /api/content/pages/{page}/sync-template-fields:
    post:
      summary: Sync page structure with template
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
  /api/content/pages/{page}/copy:
    post:
      summary: Create a copy of the page
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - with_content
          properties:
            title:
              type: string
            with_content:
              type: boolean
  /api/content/pages/{page}/create-version:
    post:
      summary: Save a version of page
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            content:
              type: array
              items:
              - type: array
                properties:
                  id:
                    type: string
                  element_id:
                    type: number
                  global_content_id:
                    type: number
                  content:
                    type: string
                items: ~
  /api/content/pages/{page}/save-version:
    post:
      summary: Save a version of page
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            content:
              type: array
              items:
              - type: array
                properties:
                  id:
                    type: string
                  element_id:
                    type: number
                  global_content_id:
                    type: number
                  content:
                    type: string
                items: ~
  /api/content/pages/{page}/request-review/{version}:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: path
        name: version
        type: string
        required: true
        description: ""
  /api/content/pages/{page}/request-changes/{version}:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: path
        name: version
        type: string
        required: true
        description: ""
  /api/content/pages/{page}/restore:
    post:
      summary: Restore page from trash
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
  /api/content/pages/{page}/check-slug:
    post:
      summary: Check if slug is available for page
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            slug:
              type: string
  /api/content/pages/empty-trash:
    post:
      summary: Remove pages from trash
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - id
          properties:
            id:
              type: array
              items:
              - type: number
  /api/content/pages/{page}/version/{version}:
    put:
      summary: Save a version of page
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: path
        name: version
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            content:
              type: array
              items:
              - type: array
                properties:
                  id:
                    type: string
                  element_id:
                    type: number
                  global_content_id:
                    type: number
                  content:
                    type: string
                items: ~
    get:
      summary: Show a page version record
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: path
        name: version
        type: string
        required: true
        description: ""
  /api/content/pages/versions:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/content/pages:
    get:
      summary: Show list of pages
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a new page
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          properties:
            title:
              type: string
            template_id:
              type: string
            folder:
              type: string
  /api/content/pages/{page}:
    get:
      summary: Show a page record
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
    put:
      summary: Update a page
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - status
          properties:
            title:
              type: string
            seo:
              type: object
              properties:
                slug:
                  type: string
                json_schema:
                  type: string
              items: ~
            published_at:
              type: string
            status:
              type: string
              enum:
              - '"draft"'
              - '"published"'
              - '"archived"'
            content:
              type: array
              items:
              - type: array
                properties:
                  id:
                    type: string
                  element_id:
                    type: number
                  global_content_id:
                    type: number
                  content:
                    type: string
                items: ~
    patch:
      summary: Update a page
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - status
          properties:
            title:
              type: string
            seo:
              type: object
              properties:
                slug:
                  type: string
                json_schema:
                  type: string
              items: ~
            published_at:
              type: string
            status:
              type: string
              enum:
              - '"draft"'
              - '"published"'
              - '"archived"'
            content:
              type: array
              items:
              - type: array
                properties:
                  id:
                    type: string
                  element_id:
                    type: number
                  global_content_id:
                    type: number
                  content:
                    type: string
                items: ~
    delete:
      summary: Mark page as deleted
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
  /api/content/comments/{commentable}/{id}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: commentable
        type: string
        required: true
        description: ""
      - in: path
        name: id
        type: string
        required: true
        description: ""
  /api/content/comments:
    post:
      summary: Store a comment
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - text
          - commentable_id
          - commentable_type
          properties:
            text:
              type: string
            commentable_id:
              type: number
            commentable_type:
              type: string
  /api/content/comments/{comment}/mark-resolved:
    post:
      summary: Mark comments as resolved
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: comment
        type: string
        required: true
        description: ""
  /api/content/menus/{menu}/copy:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: menu
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - with_content
          properties:
            title:
              type: string
            with_content:
              type: boolean
  /api/content/menus:
    get:
      summary: List menus
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a new menu
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          properties:
            title:
              type: string
  /api/content/menus/{menu}:
    get:
      summary: Display menu record
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: menu
        type: string
        required: true
        description: ""
    put:
      summary: Update the specified menu
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: menu
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - is_enabled
          - entries.*.is_enabled
          - entries.*.name
          - entries.*.url
          properties:
            title:
              type: string
            slug:
              type: string
            first_child_element_id:
              type: number
            is_enabled:
              type: boolean
            entries:
              type: array
              items:
              - type: object
                properties:
                  is_enabled:
                    type: boolean
                  name:
                    type: string
                  url:
                    type: string
                  element_id:
                    type: number
                  content:
                    type: array
                    items: []
                  data:
                    type: array
                    items: []
    patch:
      summary: Update the specified menu
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: menu
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - is_enabled
          - entries.*.is_enabled
          - entries.*.name
          - entries.*.url
          properties:
            title:
              type: string
            slug:
              type: string
            first_child_element_id:
              type: number
            is_enabled:
              type: boolean
            entries:
              type: array
              items:
              - type: object
                properties:
                  is_enabled:
                    type: boolean
                  name:
                    type: string
                  url:
                    type: string
                  element_id:
                    type: number
                  content:
                    type: array
                    items: []
                  data:
                    type: array
                    items: []
    delete:
      summary: Remove the menu
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: menu
        type: string
        required: true
        description: ""
  /api/content/elements/{element}/copy:
    post:
      summary: Create a new copy of an existing content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: element
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          properties:
            title:
              type: string
  /api/content/elements/{element}/usage:
    get:
      summary: Retrieve element usage - check element before saving to prevent breaking
        changes.
      description: Usage limits 10 records per type
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: element
        type: string
        required: true
        description: ""
  /api/content/elements/{element}/usage/{type}:
    get:
      summary: Show full usage of a content element for the content type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: element
        type: string
        required: true
        description: ""
      - in: path
        name: type
        type: string
        required: true
        description: ""
  /api/content/elements/icons:
    get:
      summary: Show list of icons available for content elements
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/content/elements:
    get:
      summary: Display a listing of content elements in system.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a newly created resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          properties:
            title:
              type: string
  /api/content/elements/{element}:
    get:
      summary: Show the content element in detail
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: element
        type: string
        required: true
        description: ""
    put:
      summary: Update content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: element
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - category
          - fields.*.name
          - fields.*.field_type
          properties:
            title:
              type: string
            subtitle:
              type: string
            icon:
              type: string
            category:
              type: string
            fields:
              type: array
              items:
              - type: object
                properties:
                  name:
                    type: string
                  field_type:
                    type: string
    patch:
      summary: Update content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: element
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - category
          - fields.*.name
          - fields.*.field_type
          properties:
            title:
              type: string
            subtitle:
              type: string
            icon:
              type: string
            category:
              type: string
            fields:
              type: array
              items:
              - type: object
                properties:
                  name:
                    type: string
                  field_type:
                    type: string
    delete:
      summary: Remove the content element.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: element
        type: string
        required: true
        description: ""
  /api/content/global-elements/{element}/copy:
    post:
      summary: Create a new copy of an existing global content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: element
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - with_content
          properties:
            name:
              type: string
            with_content:
              type: boolean
  /api/content/global-elements:
    get:
      summary: Show list of global elements
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a newly created global content element.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - element_id
          properties:
            name:
              type: string
            element_id:
              type: number
  /api/content/global-elements/{global_element}:
    get:
      summary: Show a global content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: global_element
        type: string
        required: true
        description: ""
    put:
      summary: Update a global content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: global_element
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - element_id
          - content
          properties:
            name:
              type: string
            element_id:
              type: number
            content:
              type: array
              items: []
    patch:
      summary: Update a global content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: global_element
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - element_id
          - content
          properties:
            name:
              type: string
            element_id:
              type: number
            content:
              type: array
              items: []
    delete:
      summary: Remove the specified global content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: global_element
        type: string
        required: true
        description: ""
  /api/content/templates/{template}/copy:
    post:
      summary: Create a new copy of an existing global content element
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: template
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/content/templates/unused:
    get:
      summary: List unused templates (safe-to-remove)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/content/templates:
    get:
      summary: List available template records
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a new template record
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/content/templates/{template}:
    get:
      summary: Show details of template
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: template
        type: string
        required: true
        description: ""
    put:
      summary: Update the template record
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: template
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
            slug:
              type: string
            description:
              type: string
            seo_defaults:
              type: array
              items: []
            meta:
              type: array
              items: []
            elements:
              type: array
              items:
              - type: object
                properties:
                  id:
                    type: string
                  element_id:
                    type: number
                  global_content_id:
                    type: number
                  name:
                    type: string
    patch:
      summary: Update the template record
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: template
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
            slug:
              type: string
            description:
              type: string
            seo_defaults:
              type: array
              items: []
            meta:
              type: array
              items: []
            elements:
              type: array
              items:
              - type: object
                properties:
                  id:
                    type: string
                  element_id:
                    type: number
                  global_content_id:
                    type: number
                  name:
                    type: string
    delete:
      summary: Remove Template
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: template
        type: string
        required: true
        description: ""
  /api/content/media/resize:
    post:
      summary: |-
        Store request is used for storing a new image version
        This is used by the image crop tool which sends the new coordinates for image size
        Method finds the media record and attempts cropping the original image to specified size
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - size
          - media_use_id
          - coordinates
          properties:
            size:
              type: string
            media_use_id:
              type: string
            coordinates:
              type: object
              items:
              - type: number
              properties:
              - type: string
              - type: string
              - type: string
              - type: string
  /api/content/media:
    post:
      summary: Process file upload
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            file:
              type: string
    get:
      summary: List media sizes and objects for model
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/content/media/{medium}:
    get:
      summary: Process file upload
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: medium
        type: string
        required: true
        description: ""
    put:
      summary: Update meta data of media object
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: medium
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - alt_text
          properties:
            alt_text:
              type: string
            title:
              type: string
            caption:
              type: string
            description:
              type: string
            file:
              type: string
    patch:
      summary: Update meta data of media object
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: medium
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - alt_text
          properties:
            alt_text:
              type: string
            title:
              type: string
            caption:
              type: string
            description:
              type: string
            file:
              type: string
    delete:
      summary: Remove the media object
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: medium
        type: string
        required: true
        description: ""
  /api/content/media-sizes/for-dimensions:
    post:
      summary: Show sizes that exist for given dimensions
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/content/media-sizes:
    get:
      summary: Show list of all supported media sizes
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store sizes from array
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - sizes
          - sizes.*.width
          - sizes.*.height
          properties:
            sizes:
              type: array
              items:
              - type: object
                properties:
                  width:
                    type: number
                  height:
                    type: number
                  label:
                    type: string
  /api/content/media-sizes/{media_size}:
    delete:
      summary: Remove size
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: media_size
        type: string
        required: true
        description: ""
  /api/content/media-library:
    get:
      summary: Show media library home.
      description: This shows all details like types, dates and available tags
      deprecated: false
      responses:
        200:
          description: OK
  /api/content/media-library/bulk-delete:
    delete:
      summary: Remove the media object
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: query
        name: id
        type: array
        required: false
        description: ""
        items:
          type: number
  /api/content/media-library/show:
    get:
      summary: Show media files. Allows filtering by request.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/content/media-library/{media}/show-uses:
    get:
      summary: Show use cases of media file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: media
        type: string
        required: true
        description: ""
  /api/crm/enquiries/users-to-subscribe:
    get:
      summary: View list of users that can be subscribed to an enquiry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/crm/enquiries/{enquiry}/subscribers/{subscriber}:
    delete:
      summary: Unsubscribe user(s) from an enquiry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
      - in: path
        name: subscriber
        type: string
        required: true
        description: ""
  /api/crm/enquiries/{enquiry}/action/{action}:
    post:
      summary: Resubmit enquiry action to be performed once again
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
      - in: path
        name: action
        type: string
        required: true
        description: ""
  /api/crm/enquiries/{enquiry}/add-tag/{tag}:
    post:
      summary: Add a tag to enquiry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
      - in: path
        name: tag
        type: string
        required: true
        description: ""
  /api/crm/enquiries/{enquiry}/remove-tag/{tag}:
    post:
      summary: Remove a tag from enquiry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
      - in: path
        name: tag
        type: string
        required: true
        description: ""
  /api/crm/enquiries/{enquiry}/assign:
    post:
      summary: Assign enquiry to user
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - user
          properties:
            user:
              type: number
  /api/crm/enquiries/{enquiry}/subscribers:
    post:
      summary: Subscribe user to an enquiry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - subscriber
          properties:
            subscriber:
              type: number
  /api/crm/enquiries/{enquiry}/set-status:
    post:
      summary: Update enquiry status
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - status
          properties:
            status:
              type: number
  /api/crm/enquiries/{enquiry}/add-message:
    post:
      summary: Add a new message to enquiry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - message
          properties:
            message:
              type: string
            new_status:
              type: string
  /api/crm/enquiries/{enquiry}/details:
    get:
      summary: Show details of an enquiry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
  /api/crm/enquiries/filters:
    get:
      summary: View enquiry  filters (types/statuses/tags)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/crm/enquiries:
    get:
      summary: List enquiries
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/crm/enquiries/{enquiry}:
    get:
      summary: Show enquiry (and possible statuses / users for interaction)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry
        type: string
        required: true
        description: ""
  /api/crm/enquiry-types:
    get:
      summary: List all available enquiry types
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a new enquiry type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/crm/enquiry-types/{enquiry_type}:
    get:
      summary: Display enquiry type details
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_type
        type: string
        required: true
        description: ""
    put:
      summary: Update details of an enquiry type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_type
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
    patch:
      summary: Update details of an enquiry type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_type
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
    delete:
      summary: Remove an enquiry type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_type
        type: string
        required: true
        description: ""
  /api/crm/enquiry-tags:
    get:
      summary: List all available enquiry tags
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a new enquiry tag
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/crm/enquiry-tags/{enquiry_tag}:
    get:
      summary: Display enquiry tag details
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_tag
        type: string
        required: true
        description: ""
    put:
      summary: Update details of an enquiry tag
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_tag
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
    patch:
      summary: Update details of an enquiry tag
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_tag
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
    delete:
      summary: Remove an enquiry tag
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_tag
        type: string
        required: true
        description: ""
  /api/crm/enquiry-statuses:
    get:
      summary: List enquiry statuses
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store an enquiry status
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
            is_final:
              type: string
  /api/crm/enquiry-statuses/{enquiry_status}:
    get:
      summary: Show enquiry status
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_status
        type: string
        required: true
        description: ""
    put:
      summary: Update enquiry status
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_status
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
            is_final:
              type: string
    patch:
      summary: Update enquiry status
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_status
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
            is_final:
              type: string
    delete:
      summary: Remove enquiry status
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: enquiry_status
        type: string
        required: true
        description: ""
  /api/crm/forms/{form}/copy:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: form
        type: string
        required: true
        description: ""
  /api/crm/forms:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/crm/forms/{form}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: form
        type: string
        required: true
        description: ""
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: form
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - type_id
          - initial_status_id
          properties:
            type_id:
              type: number
            initial_status_id:
              type: number
            initial_assignee:
              type: string
            success_message:
              type: string
    patch:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: form
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - type_id
          - initial_status_id
          properties:
            type_id:
              type: number
            initial_status_id:
              type: number
            initial_assignee:
              type: string
            success_message:
              type: string
    delete:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: form
        type: string
        required: true
        description: ""
  /api/reports:
    get:
      summary: List of existing reports
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Create Report
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - type
          properties:
            name:
              type: string
            type:
              type: string
              enum:
              - '"users"'
              - '"vehicles"'
              - '"offers"'
  /api/reports/{report}:
    get:
      summary: Show full details of a report
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: report
        type: string
        required: true
        description: ""
    put:
      summary: Update a report
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: report
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - type
          - active
          - format
          - schedule
          properties:
            name:
              type: string
            type:
              type: string
              enum:
              - '"users"'
              - '"vehicles"'
              - '"offers"'
            active:
              type: boolean
            recipient:
              type: string
            format:
              type: string
              enum:
              - '"csv"'
              - '"xlsx"'
            schedule:
              type: string
              enum:
              - '"daily"'
              - '"weekly"'
              - '"biweekly"'
              - '"monthly"'
    patch:
      summary: Update a report
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: report
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - type
          - active
          - format
          - schedule
          properties:
            name:
              type: string
            type:
              type: string
              enum:
              - '"users"'
              - '"vehicles"'
              - '"offers"'
            active:
              type: boolean
            recipient:
              type: string
            format:
              type: string
              enum:
              - '"csv"'
              - '"xlsx"'
            schedule:
              type: string
              enum:
              - '"daily"'
              - '"weekly"'
              - '"biweekly"'
              - '"monthly"'
    delete:
      summary: Delete a report
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: report
        type: string
        required: true
        description: ""
  /api/dashboard:
    get:
      summary: View Dashboard data (kpis/stats/top items)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/dashboard/content:
    get:
      summary: View Dashboard data (kpis/stats/top items)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/dashboard/crm:
    get:
      summary: View Dashboard data (kpis/stats/top items)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/dashboard/taxonomies:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/sidebar:
    get:
      summary: Data for sidebar
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/search:
    post:
      summary: Search for any type records on site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            term:
              type: string
  /api/search/elements:
    post:
      summary: Search for content elements
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            term:
              type: string
  /api/search/vehicles:
    post:
      summary: Search for vehicles
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            term:
              type: string
  /api/audit:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/audit/{audit}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: audit
        type: string
        required: true
        description: ""
  /api/data/{type}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: type
        type: string
        required: true
        description: ""
  /api/taxonomies/{taxonomy}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: taxonomy
        type: string
        required: true
        description: ""
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: taxonomy
        type: string
        required: true
        description: ""
    patch:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: taxonomy
        type: string
        required: true
        description: ""
    delete:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: taxonomy
        type: string
        required: true
        description: ""
  /api/notification-centre:
    post:
      summary: List notifications for given user
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/notification-centre/mark-read:
    put:
      summary: Mark notifications as read
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - notification_ids
          properties:
            notification_ids:
              type: array
              items:
              - type: number
  /api/notification-centre/mark-unread:
    put:
      summary: Mark notifications as unread
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - notification_ids
          properties:
            notification_ids:
              type: array
              items:
              - type: number
  /api/notification-centre/delete:
    put:
      summary: Clear notifications
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - notification_ids
          properties:
            notification_ids:
              type: array
              items:
              - type: number
  /api/user/get-dashboard/{section}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: section
        type: string
        required: true
        description: ""
  /api/user/set-dashboard/{section}:
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: section
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - widgets.*.widget
          properties:
            widgets:
              type: array
              items:
              - type: object
                items: []
                properties:
                  widget:
                    type: string
                  data:
                    type: array
                    items: []
  /api/users:
    get:
      summary: List users added to the current active site.
      description: Site determined on current session.
      deprecated: false
      responses:
        200:
          description: OK
  /api/pinned-items:
    get:
      summary: Show all items user has pinned
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a pinned item (url)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - url
          - title
          - subtitle
          properties:
            url:
              type: string
            title:
              type: string
            subtitle:
              type: string
  /api/pinned-items/{pinned_item_id}:
    delete:
      summary: Remove a pinned item (url)
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: pinned_item_id
        type: string
        required: true
        description: ""
  /api/checklists/domain-check/{domain}:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: domain
        type: string
        required: true
        description: ""
  /api/checklists/ssl-check/{domain}:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: domain
        type: string
        required: true
        description: ""
  /api/checklists/mail-check:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/settings/seo/defaults:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - defaults.*.id
          - defaults.*.title
          properties:
            defaults:
              type: array
              items:
              - type: object
                properties:
                  id:
                    type: number
                  title:
                    type: string
                  description:
                    type: string
    get:
      summary: Display a listing of the resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/settings/seo/defaults/{default}:
    put:
      summary: Update the specified resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: default
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - description
          properties:
            title:
              type: string
            description:
              type: string
    patch:
      summary: Update the specified resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: default
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - description
          properties:
            title:
              type: string
            description:
              type: string
  /api/settings/seo/data/export:
    post:
      summary: Export seo data to excel file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/settings/seo/data/import:
    post:
      summary: Import seo data from file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - file
          properties:
            truncate:
              type: boolean
            file:
              type: string
  /api/settings/seo/data:
    get:
      summary: List Seo Data entries
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - path
          properties:
            path:
              type: string
            title:
              type: string
            description:
              type: string
  /api/settings/seo/data/{data}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: data
        type: string
        required: true
        description: ""
    put:
      summary: Update seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: data
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - path
          properties:
            path:
              type: string
            title:
              type: string
            description:
              type: string
            heading:
              type: string
    patch:
      summary: Update seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: data
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - path
          properties:
            path:
              type: string
            title:
              type: string
            description:
              type: string
            heading:
              type: string
    delete:
      summary: Delete seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: data
        type: string
        required: true
        description: ""
  /api/settings/seo/redirects/export:
    post:
      summary: Export seo data to excel file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/settings/seo/redirects/import:
    post:
      summary: Import seo data from file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - file
          properties:
            truncate:
              type: boolean
            file:
              type: string
  /api/settings/seo/redirects:
    get:
      summary: List Seo Data entries
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - from
          - to
          - code
          properties:
            from:
              type: string
            to:
              type: string
            code:
              type: number
  /api/settings/seo/redirects/{redirect}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: redirect
        type: string
        required: true
        description: ""
    put:
      summary: Update seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: redirect
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - from
          - to
          - code
          properties:
            from:
              type: string
            to:
              type: string
            code:
              type: number
    patch:
      summary: Update seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: redirect
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - from
          - to
          - code
          properties:
            from:
              type: string
            to:
              type: string
            code:
              type: number
    delete:
      summary: Delete seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: redirect
        type: string
        required: true
        description: ""
  /api/settings/seo/headings/export:
    post:
      summary: Export seo data to excel file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/settings/seo/headings/import:
    post:
      summary: Import seo data from file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - file
          properties:
            truncate:
              type: boolean
            file:
              type: string
  /api/settings/seo/headings:
    get:
      summary: List Seo Heading entries
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store seo heading entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - path
          - heading
          properties:
            path:
              type: string
            heading:
              type: string
  /api/settings/seo/headings/{heading}:
    put:
      summary: Update seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: heading
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - path
          - heading
          properties:
            path:
              type: string
            heading:
              type: string
    patch:
      summary: Update seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: heading
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - path
          - heading
          properties:
            path:
              type: string
            heading:
              type: string
    delete:
      summary: Delete seo entry
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: heading
        type: string
        required: true
        description: ""
  /api/seo/check-slug:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - slug
          - type
          properties:
            slug:
              type: string
            id:
              type: number
            type:
              type: string
  /api/upload-asset:
    post:
      summary: Store a new asset file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - file
          - visibility
          properties:
            file_name:
              type: string
            file:
              type: string
            visibility:
              type: string
              enum:
              - '"public"'
              - '"private"'
            overwrite:
              type: string
  /api/remove-asset:
    delete:
      summary: Remove an asset file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: query
        name: file_name
        type: string
        required: false
        description: ""
  /api/billing/invoices:
    get:
      summary: Display a listing of the resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/billing/invoices/{invoice}:
    get:
      summary: Display the specified resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: invoice
        type: string
        required: true
        description: ""
  /api/settings/go-live-checklist:
    get:
      summary: Show checklist to see if site is ready to go live
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/settings/billing:
    get:
      summary: Display a listing of the resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/settings/billing/subscription:
    put:
      summary: Update tenants tier
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - tier
          properties:
            tier:
              type: string
              enum:
              - '"lite"'
              - '"standard"'
              - '"pro"'
              - '"enterprise"'
  /api/settings/sales-channels/{channel}/history:
    get:
      summary: Show most recent sales channel actions
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: channel
        type: string
        required: true
        description: ""
  /api/settings/billing/details:
    put:
      summary: Update Billing details of this site/tenant
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - vat_rate
          - contact_no
          - billing_email
          - first_name
          - last_name
          - address1
          - city
          - country
          properties:
            vat_rate:
              type: string
              enum:
              - '"20"'
              - '"0"'
            contact_no:
              type: string
            billing_email:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            address1:
              type: string
            city:
              type: string
            postcode:
              type: string
            country:
              type: string
  /api/settings/domains/{domain}/make-primary:
    put:
      summary: Make domain primary
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: domain
        type: string
        required: true
        description: ""
  /api/settings/domains/{domain}/verify:
    put:
      summary: Verify if domain is pointing to system
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: domain
        type: string
        required: true
        description: ""
  /api/settings/domains/{domain}/verify-ssl:
    put:
      summary: Verify if domain has SSL
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: domain
        type: string
        required: true
        description: ""
  /api/settings/domains:
    get:
      summary: Show list of domains assigned to site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Add domain to a site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - domain
          properties:
            domain:
              type: string
  /api/settings/domains/{domain}:
    delete:
      summary: Remove domain from site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: domain
        type: string
        required: true
        description: ""
  /api/settings/site-users:
    get:
      summary: Show list of users assigned to current site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Add user to a site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - email
          - role
          properties:
            email:
              type: string
            role:
              type: string
    put:
      summary: Update users role on site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - userId
          - role
          properties:
            userId:
              type: string
            role:
              type: string
    delete:
      summary: Remove user from site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: query
        name: userId
        type: string
        required: true
        description: ""
  /api/settings/verify:
    post:
      summary: Verify a setting
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - verify_check
          - tab
          properties:
            verify_check:
              type: string
            tab:
              type: string
  /api/settings:
    get:
      summary: List all tabs (sections) of the settings area
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - tab
          - section
          - name
          - type
          - config_key
          properties:
            tab:
              type: string
            section:
              type: string
            name:
              type: string
            type:
              type: string
            config_key:
              type: string
            description:
              type: string
  /api/settings/{tab}:
    get:
      summary: Show Settings for specific section
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: tab
        type: string
        required: true
        description: ""
  /api/settings/{section}:
    put:
      summary: Store Site setting values of a section
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: section
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - settings.*.config_key
          properties:
            settings:
              type: array
              items:
              - type: object
                properties:
                  config_key:
                    type: string
            values:
              type: string
  /api/vehicle-taxonomies/makes:
    get:
      summary: Display a listing of vehicle makes
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/vehicle-taxonomies/makes/{make}:
    get:
      summary: Display the specified vehicle make.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: make
        type: string
        required: true
        description: ""
  /api/vehicle-taxonomies/makes/{make_id}/models:
    get:
      summary: Display a listing of body vehicle model
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: make_id
        type: string
        required: true
        description: ""
  /api/vehicle-taxonomies/models/{model}:
    get:
      summary: Display the specified vehicle model.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: model
        type: string
        required: true
        description: ""
  /api/vehicle-taxonomies/drivetrains:
    get:
      summary: Display a listing of drivetrains
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/vehicle-taxonomies/drivetrains/{drivetrain}:
    get:
      summary: Display the specified drivetrain.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: drivetrain
        type: string
        required: true
        description: ""
  /api/vehicle-taxonomies/transmissions:
    get:
      summary: Display a listing of transmissions
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/vehicle-taxonomies/transmissions/{transmission}:
    get:
      summary: Display the specified transmission.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: transmission
        type: string
        required: true
        description: ""
  /api/vehicle-taxonomies/fuel-types:
    get:
      summary: Display a listing of fuel types
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/vehicle-taxonomies/fuel-types/{fuel_type}:
    get:
      summary: Display the specified fuel type.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: fuel_type
        type: string
        required: true
        description: ""
  /api/vehicle-taxonomies/body-styles:
    get:
      summary: Display a listing of body styles
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/vehicle-taxonomies/body-styles/{body_style}:
    get:
      summary: Display the specified body style.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: body_style
        type: string
        required: true
        description: ""
  /api/currencies:
    get:
      summary: Display a listing of the resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/vehicles/featured:
    get:
      summary: Show list of featured vehicles
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    put:
      summary: Set vehicles as featured
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - vehicle_ids.*
          properties:
            vehicle_ids:
              type: array
              items:
              - type: number
  /api/vehicles/{vehicle}/get-finance:
    post:
      summary: Trigger Finance data fetch for vehicle
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
  /api/vehicles/{vehicle}/get-spec:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
  /api/vehicles/{vehicle}/copy:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
  /api/vehicles/{vehicle}/set-status:
    post:
      summary: Update status of a vehicle
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - state
          properties:
            state:
              type: string
              enum:
              - '"draft"'
              - '"published"'
              - '"reserved"'
              - '"sold"'
  /api/vehicles:
    get:
      summary: Display a list of vehicles
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Save a new vehicle.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          properties:
            title:
              type: string
  /api/vehicles/{vehicle}:
    get:
      summary: Show vehicle details.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
    put:
      summary: Update vehicle details
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - derivative
          - make_id
          - model_id
          - features.*.name
          - equipment.*.description
          - standard_equipment.*.type
          - specs.*.description
          - specs.*.value
          properties:
            vin:
              type: string
            title:
              type: string
            derivative:
              type: string
            registration_number:
              type: string
            is_new:
              type: string
            is_demo:
              type: string
            is_sold:
              type: string
            is_published:
              type: boolean
            make_id:
              type: number
            model_id:
              type: number
            dealership_id:
              type: number
            transmission_id:
              type: number
            fuel_type_id:
              type: number
            drivetrain_id:
              type: number
            colour:
              type: string
            price:
              type: number
            monthly_price:
              type: number
            previous_owner_count:
              type: string
            deposit:
              type: number
            door_count:
              type: number
            seats:
              type: number
            manufacture_year:
              type: number
            odometer_km:
              type: number
            odometer_mi:
              type: number
            engine_size_cc:
              type: number
            co2:
              type: number
            mpg:
              type: number
            first_registration_date:
              type: string
            description:
              type: string
            media:
              type: array
              items:
              - type: number
            primary_media:
              type: string
            features:
              type: array
              items:
              - type: object
                properties:
                  name:
                    type: string
            equipment:
              type: array
              items:
              - type: object
                properties:
                  code:
                    type: string
                  description:
                    type: string
            standard_equipment:
              type: array
              items:
              - type: object
                properties:
                  type:
                    type: string
                  price:
                    type: number
            specs:
              type: array
              items:
              - type: object
                properties:
                  code:
                    type: string
                  category:
                    type: string
                  description:
                    type: string
                  value:
                    type: string
            seo:
              type: object
              properties:
                json_schema:
                  type: string
    patch:
      summary: Update vehicle details
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - title
          - derivative
          - make_id
          - model_id
          - features.*.name
          - equipment.*.description
          - standard_equipment.*.type
          - specs.*.description
          - specs.*.value
          properties:
            vin:
              type: string
            title:
              type: string
            derivative:
              type: string
            registration_number:
              type: string
            is_new:
              type: string
            is_demo:
              type: string
            is_sold:
              type: string
            is_published:
              type: boolean
            make_id:
              type: number
            model_id:
              type: number
            dealership_id:
              type: number
            transmission_id:
              type: number
            fuel_type_id:
              type: number
            drivetrain_id:
              type: number
            colour:
              type: string
            price:
              type: number
            monthly_price:
              type: number
            previous_owner_count:
              type: string
            deposit:
              type: number
            door_count:
              type: number
            seats:
              type: number
            manufacture_year:
              type: number
            odometer_km:
              type: number
            odometer_mi:
              type: number
            engine_size_cc:
              type: number
            co2:
              type: number
            mpg:
              type: number
            first_registration_date:
              type: string
            description:
              type: string
            media:
              type: array
              items:
              - type: number
            primary_media:
              type: string
            features:
              type: array
              items:
              - type: object
                properties:
                  name:
                    type: string
            equipment:
              type: array
              items:
              - type: object
                properties:
                  code:
                    type: string
                  description:
                    type: string
            standard_equipment:
              type: array
              items:
              - type: object
                properties:
                  type:
                    type: string
                  price:
                    type: number
            specs:
              type: array
              items:
              - type: object
                properties:
                  code:
                    type: string
                  category:
                    type: string
                  description:
                    type: string
                  value:
                    type: string
            seo:
              type: object
              properties:
                json_schema:
                  type: string
    delete:
      summary: Remove the specified vehicle from storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
  /api/vehicle-features:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/vehicle-features/{vehicle_feature}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle_feature
        type: string
        required: true
        description: ""
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle_feature
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - category
          properties:
            name:
              type: string
            category:
              type: string
            conditions:
              type: array
              items: []
            standard_equipment:
              type: array
              items: []
    patch:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle_feature
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - category
          properties:
            name:
              type: string
            category:
              type: string
            conditions:
              type: array
              items: []
            standard_equipment:
              type: array
              items: []
    delete:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle_feature
        type: string
        required: true
        description: ""
  /api/franchises/{franchise}/copy:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: franchise
        type: string
        required: true
        description: ""
  /api/franchises:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/franchises/{franchise}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: franchise
        type: string
        required: true
        description: ""
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: franchise
        type: string
        required: true
        description: ""
    patch:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: franchise
        type: string
        required: true
        description: ""
    delete:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: franchise
        type: string
        required: true
        description: ""
  /api/valuations:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - registration_number
          properties:
            registration_number:
              type: string
            mileage:
              type: number
  /api/valuations/{valuation}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: valuation
        type: string
        required: true
        description: ""
  /api/offer-types:
    get:
      summary: Display a listing of the offer types.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a newly created offer type
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/offer-types/{offer_type}:
    get:
      summary: Display the specified offer type.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: offer_type
        type: string
        required: true
        description: ""
    put:
      summary: Update the specified offer types
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: offer_type
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - template_id
          properties:
            name:
              type: string
            template_id:
              type: number
            data:
              type: string
    patch:
      summary: Update the specified offer types
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: offer_type
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - template_id
          properties:
            name:
              type: string
            template_id:
              type: number
            data:
              type: string
    delete:
      summary: Remove the specified offer types
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: offer_type
        type: string
        required: true
        description: ""
  /api/content/templates/{template}/usage:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: template
        type: string
        required: true
        description: ""
  /api/content/templates/{template}/sync-all-usage:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: template
        type: string
        required: true
        description: ""
  /api/vehicle-offers/{vehicleOffer}/sync-template-fields:
    post:
      summary: Sync offer content with template
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicleOffer
        type: string
        required: true
        description: ""
  /api/vehicle-offers/{vehicleOffer}/copy:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicleOffer
        type: string
        required: true
        description: ""
  /api/vehicle-offers/{vehicleOffer}/restore-version/{version}:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicleOffer
        type: string
        required: true
        description: ""
      - in: path
        name: version
        type: string
        required: true
        description: ""
  /api/vehicle-offers/export:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /api/vehicle-offers/import:
    post:
      summary: Import seo data from file
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - file
          properties:
            file:
              type: string
  /api/vehicle-offers/featured:
    get:
      summary: Show list of featured offers
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    put:
      summary: Set offers as featured
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - offer_ids.*
          properties:
            offer_ids:
              type: array
              items:
              - type: number
  /api/vehicle-offers:
    get:
      summary: Display a listing of the vehicle offers.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a newly created vehicle offer
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
            type_id:
              type: string
  /api/vehicle-offers/{vehicle_offer}:
    get:
      summary: Display the specified vehicle offer.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle_offer
        type: string
        required: true
        description: ""
    put:
      summary: Update the specified vehicle offer
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle_offer
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - derivative
          - featured
          - published
          properties:
            name:
              type: string
            seo:
              type: object
              properties:
                slug:
                  type: string
                json_schema:
                  type: string
            derivative:
              type: string
            make_id:
              type: number
            model_id:
              type: number
            form_id:
              type: number
            media:
              type: array
              items:
              - type: number
            featured:
              type: boolean
            published:
              type: boolean
    patch:
      summary: Update the specified vehicle offer
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle_offer
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - derivative
          - featured
          - published
          properties:
            name:
              type: string
            seo:
              type: object
              properties:
                slug:
                  type: string
                json_schema:
                  type: string
            derivative:
              type: string
            make_id:
              type: number
            model_id:
              type: number
            form_id:
              type: number
            media:
              type: array
              items:
              - type: number
            featured:
              type: boolean
            published:
              type: boolean
    delete:
      summary: Remove the specified vehicle offer
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle_offer
        type: string
        required: true
        description: ""
  /api/dealerships/{dealership}/copy:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: dealership
        type: string
        required: true
        description: ""
  /api/dealerships:
    get:
      summary: Display a listing of dealerships
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a newly created dealership
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/dealerships/{dealership}:
    get:
      summary: Display the specified dealership.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: dealership
        type: string
        required: true
        description: ""
    put:
      summary: Update the specified dealership.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: dealership
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - contact_no
          properties:
            name:
              type: string
            email:
              type: string
            contact_no:
              type: string
            address1:
              type: string
            address2:
              type: string
            city:
              type: string
            county:
              type: string
            postcode:
              type: string
            country:
              type: string
            coordinates:
              type: object
              properties:
                lat:
                  type: number
                lng:
                  type: number
            contact_form_id:
              type: string
            media_id:
              type: string
            holidays:
              type: array
              items:
              - type: string
            seo:
              type: object
              properties:
                slug:
                  type: string
    patch:
      summary: Update the specified dealership.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: dealership
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          - contact_no
          properties:
            name:
              type: string
            email:
              type: string
            contact_no:
              type: string
            address1:
              type: string
            address2:
              type: string
            city:
              type: string
            county:
              type: string
            postcode:
              type: string
            country:
              type: string
            coordinates:
              type: object
              properties:
                lat:
                  type: number
                lng:
                  type: number
            contact_form_id:
              type: string
            media_id:
              type: string
            holidays:
              type: array
              items:
              - type: string
            seo:
              type: object
              properties:
                slug:
                  type: string
    delete:
      summary: Remove the specified dealership from storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: dealership
        type: string
        required: true
        description: ""
  /api/labels:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/labels/{label}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: label
        type: string
        required: true
        description: ""
    put:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: label
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
    patch:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: label
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
    delete:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: label
        type: string
        required: true
        description: ""
  /api/property-categories/{category}/properties:
    get:
      summary: Display a listing of the resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: category
        type: string
        required: true
        description: ""
    post:
      summary: Store a newly created resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: category
        type: string
        required: true
        description: ""
  /api/property-categories/{category}/properties/{property}:
    get:
      summary: Display the specified resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: category
        type: string
        required: true
        description: ""
      - in: path
        name: property
        type: string
        required: true
        description: ""
    put:
      summary: Update the specified resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: category
        type: string
        required: true
        description: ""
      - in: path
        name: property
        type: string
        required: true
        description: ""
    patch:
      summary: Update the specified resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: category
        type: string
        required: true
        description: ""
      - in: path
        name: property
        type: string
        required: true
        description: ""
    delete:
      summary: Remove the specified resource from storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: category
        type: string
        required: true
        description: ""
      - in: path
        name: property
        type: string
        required: true
        description: ""
  /api/property-categories:
    get:
      summary: Display a listing of the resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
    post:
      summary: Store a newly created resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - name
          properties:
            name:
              type: string
  /api/property-categories/{property_category}:
    get:
      summary: Display the specified resource.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: property_category
        type: string
        required: true
        description: ""
    put:
      summary: Update the specified resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: property_category
        type: string
        required: true
        description: ""
    patch:
      summary: Update the specified resource in storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: property_category
        type: string
        required: true
        description: ""
    delete:
      summary: Remove the specified resource from storage.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: property_category
        type: string
        required: true
        description: ""
  /api/notifications/{tenant}/autos-on-show:
    post:
      summary: Process Autos on Show notification about vehicle media
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: tenant
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - vehicleId
          properties:
            vehicleId:
              type: string
  /api/notifications/{tenant}/auto-imaging:
    get:
      summary: List vehicles so auto-imaging can process them
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: tenant
        type: string
        required: true
        description: ""
    post:
      summary: Import AutoImaging media
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: tenant
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - vehicleId
          properties:
            vehicleId:
              type: string
            images:
              type: array
              items: []
            vimeoUrl:
              type: string
  /api/feeds/{tenant}/channable:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: tenant
        type: string
        required: true
        description: ""
...
